Bug 91857 (Impress-Menus) - [META] Reorganization of the menu bar for Impress
Summary: [META] Reorganization of the menu bar for Impress
Status: ASSIGNED
Alias: Impress-Menus
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay)
QA Contact:
URL:
Whiteboard: target:5.1.0 target:5.2.0 target:5.1...
Keywords:
Depends on: 92733
Blocks: Main-Menu Impress-UX
  Show dependency treegraph
 
Reported: 2015-06-04 13:54 UTC by Yousuf Philips (jay)
Modified: 2017-09-25 12:25 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
impress new menu bar (220.88 KB, image/png)
2015-06-04 13:54 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2015-06-04 13:54:00 UTC
Created attachment 116280 [details]
impress new menu bar

Similar to the work being done for Writer (bug 91781), i've also worked on reorganizing the menu bar in Impress.

The most noticeable change is the addition of a new menu bar item called 'Slide' which contains all slide management options which were scattered all through the menus.

Look forward to the feedback and for you to test drive it soon.
Comment 1 Robinson Tryon (qubit) 2015-06-04 14:15:53 UTC
ux-advise, so 
Status -> NEW
Comment 2 Heiko Tietze 2015-06-04 18:29:31 UTC
I like the Slide menu, looking forward its counterpart for Writer. :-)
But shouldn't the Show Slide stuff go into this menu? First and Current at first level the others one down.
Comment 3 Yousuf Philips (jay) 2015-06-04 21:38:28 UTC
(In reply to Heiko Tietze from comment #2)
> I like the Slide menu, looking forward its counterpart for Writer. :-)

Look forward to your suggestion for what that would contain in Writer. :D

> But shouldn't the Show Slide stuff go into this menu? First and Current at
> first level the others one down.

Slide is focused on slide management and assume additional entries will likely go into the menu like for slide navigation - Next Slide (page down), Previous Slide (page up), First Slide, Last Slide. Slide Show is focused on the presentation part and may likely also expand in the future.
Comment 4 Commit Notification 2015-06-14 21:37:11 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4739ec8b10b8a95e47d7036780eb953a7e11d245

tdf#91857 Reorganize impress's menu bar

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-06-28 14:22:01 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3adc9c2a0fba8aedf580c505d8eead1c3eff44db

tdf#91857 Minor fixes to impress's and calc's reorganized menus

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 sophie 2015-08-04 14:36:57 UTC
Hi Jay,

Where do I find Edit Master in the menu? Sophie
Comment 7 Yousuf Philips (jay) 2015-08-04 17:30:17 UTC
Hi Sophie,

Do you mean activating Master mode. If so, it was moved from View > Master > Slide Master to View > Slide Master.
Comment 8 sophie 2015-08-05 09:20:47 UTC
Hi Jay, thanks found it, however it's not a View function (it has always been at a wrong place), either an Edit one or a Slide one. It would be more logical to have it with New Master and Delete Master. 
Also, what about moving the Display functions from the Slide menu to the View menu? 
Will go on after some thoughts :)
Comment 9 Yousuf Philips (jay) 2015-08-05 17:05:05 UTC
(In reply to sophie from comment #8)
> Hi Jay, thanks found it, however it's not a View function (it has always
> been at a wrong place), either an Edit one or a Slide one. It would be more
> logical to have it with New Master and Delete Master.

Hi Sophie,

In other apps (writer, calc), there is only one type of document that can be modified, while in impress/draw we have two types of documents that can be modified - page/slide and master page/slide. So is changing between modifying a slide and modifying a master slide a change of view? I think so, as the view of what is available in the document area has changed.

Checking the menus in other presentation apps (powerpoint, wps presentation, iwork keynote, google docs), they all place Slide Master under the View menu.

> Also, what about moving the Display functions from the Slide menu to the
> View menu?

The display functions (Display Background of Master, Display Objects from Master, Master Elements) are a per-slide/per-master feature, so they are not suitable for the View menu.
Comment 10 sophie 2015-08-06 08:51:04 UTC
> In other apps (writer, calc), there is only one type of document that can be
> modified, while in impress/draw we have two types of documents that can be
> modified - page/slide and master page/slide. So is changing between
> modifying a slide and modifying a master slide a change of view? I think so,
> as the view of what is available in the document area has changed.

In Writer and Calc, it's just like editing a template, you not only view the underlying settings/styles, but you modify them by editing the master. 
> 
> Checking the menus in other presentation apps (powerpoint, wps presentation,
> iwork keynote, google docs), they all place Slide Master under the View menu.

which is still misplaced for me ;)
> 
> > Also, what about moving the Display functions from the Slide menu to the
> > View menu?
> 
> The display functions (Display Background of Master, Display Objects from
> Master, Master Elements) are a per-slide/per-master feature, so they are not
> suitable for the View menu.
Sad, it would have cleared the Slide menu and removed ambiguity on how you handle them. Sophie
Comment 11 Commit Notification 2015-08-07 07:32:58 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ff1c37159216d26816d0d797a80db277e37a59d

tdf#91857 Move master display items to View menu

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-12-13 09:46:49 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1461011d3fb5df172e4e07cb549c4cac4f37b67

tdf#91857 Additional improvements to Impress' menu bar

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2015-12-13 19:48:38 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b824edb749d9bd532d5c2329da15599a55ea98c6&h=libreoffice-5-1

tdf#91857 Additional improvements to Impress' menu bar

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2016-03-05 01:57:40 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58bef396cfcdd2c861d261e5b6fa68a859ff653d

tdf#91857 Tweaks to the slide and slide show menus

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Robinson Tryon (qubit) 2016-08-25 05:49:26 UTC Comment hidden (obsolete)
Comment 16 Commit Notification 2017-09-25 12:25:36 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b4ab4b51f79765341c17945c5900f094d15d25b0

tdf#91857 Tweaks to the insert and slide menus

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.